<p-dialog header="Notifikasi" dismissableMask="true"  modal="true" [responsive]="true" [(visible)]="displayDialog">
    <p>
        catatan :
        <br>
        <textarea [rows]="5" [cols]="30" pInputTextarea autoResize="true"  [(ngModel)]="notApprvoceReason" maxlength="150" ></textarea>
    </p>
    
    <p-footer>
        <button pButton type="button" (click)="closeDialogNotif()"
            label="OK"
            icon="fa-ban"
            class="ui-button-primary flat-label-button">
        </button>
    </p-footer>
</p-dialog>


<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <!-- <p-panel> -->
        <!-- <p-header>
            {{'mpmApp.vehicleSalesOrder.home.createOrEditLabel' | translate}}
            {{stepLabel}}
            Detail VSO
        </p-header> -->
    <div class="ui-g" style="background-color: white">
        <br>
        <div class="ui-g-12">
            <p-tabView>
              
                <p-tabPanel header="{{stepLabel[0]}}" [selected]="1==stepUi">
                    <div *ngIf="vehicleSalesOrder.salesUnitRequirement">
                            <jhi-sales-unit-requirement-customer-view
                                [salesUnitRequirement]="vehicleSalesOrder.salesUnitRequirement"
                            ></jhi-sales-unit-requirement-customer-view>
                    </div> 
                </p-tabPanel>
                <p-tabPanel header="{{stepLabel[1]}}" [selected]="2==stepUi">
                    <div *ngIf="vehicleSalesOrder.salesUnitRequirement">
                        <jhi-sales-unit-requirement-stnk-view
                            [salesUnitRequirement]="vehicleSalesOrder.salesUnitRequirement"
                        ></jhi-sales-unit-requirement-stnk-view>
                    </div>      
                </p-tabPanel>
                <p-tabPanel header="{{stepLabel[2]}}" [selected]="3==stepUi">
                    <div *ngIf="vehicleSalesOrder.salesUnitRequirement">                        
                        <jhi-vso-edit-dataa-kendaraan 
                            [data]="vehicleSalesOrder.salesUnitRequirement"
                            [statusVso]="vehicleSalesOrder.currentStatus"
                            [vso]="vehicleSalesOrder"
                        ></jhi-vso-edit-dataa-kendaraan>
                    </div>                                         
                </p-tabPanel>
                <p-tabPanel header="{{stepLabel[3]}}"  [selected]="4==stepUi">
                    <div *ngIf="vehicleSalesOrder.salesUnitRequirement">
                        <jhi-vso-edit-data-harga-pembayaran 
                        [data]="vehicleSalesOrder.salesUnitRequirement"
                        [statusVso]="vehicleSalesOrder.currentStatus"
                        [vso]="vehicleSalesOrder">
                        </jhi-vso-edit-data-harga-pembayaran>
                    </div>
                </p-tabPanel>
            </p-tabView>    
        </div>
        <div class="ui-g-12">
            <hr>
            <div style="text-align: right">
                <button pButton type="button" (click)="closeForm()"
                    label="{{'entity.action.back' | translate}}"
                    icon="fa-ban"
                    class="ui-button-danger flat-label-button">
                </button>
                <button pButton type="button" (click)="prev()"
                    label="{{'mpmApp.vehicleSalesOrder.prev' | translate}}"
                    icon="fa-ban"
                    class="ui-button-danger flat-label-button">
                </button>
                <button pButton type="button" (click)="next()"
                    label="{{'mpmApp.vehicleSalesOrder.next' | translate}}"
                    icon="fa-ban"
                    class="ui-button-danger flat-label-button">
                </button>
            </div>
            <br><br>
        </div>
    </div>

    <!-- <div class="modal-body" >            
        
    </div>
         -->
    <!-- </p-panel> -->
</form>
